require 'src/Coin'
CoinSeries = Class{}


local coins = {}
local startX = WINDOW_WIDTH
local spaceBetweenCoins = 5

function CoinSeries:init()
    local number_of_coins = love.math.random(2, 8)
    for i=1,number_of_coins do
        x = startX + i*Coin.width + (i-1)*spaceBetweenCoins
        table.insert(coins, Coin(x))
     end
end

function CoinSeries:render()
    for k, coin in ipairs(coins) do
        coin:render()
    end
end